| Home | Libraries | People | FAQ | More

##### static_url::remove_query

Remove the query.

###### Synopsis

    static_url&
    remove_query();

###### Description

If a query is present, it is removed. An empty query is distinct from having no query.

###### Example

    assert( url( "http://www.example.com?id=42" ).remove_query().buffer() == "http://www.example.com" );

###### Postconditions

    this->has_query() == false && this->params().empty()

###### Exception Safety

Throws nothing.

###### BNF

    query           = *( pchar / "/" / "?" )

    query-param     = key [ "=" value ]
    query-params    = [ query-param ] *( "&" query-param )

###### Specification

- 3.4. Query (rfc3986)
- Query string (Wikipedia)

###### See Also

`encoded_params`, `params`, `set_encoded_query`, /root/project/libs/url/include/boost/url/static_url.hpp